TTF_CopyFont(3)

NAME
TTF_CopyFont - Create a copy of an existing font.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

TTF_Font * TTF_CopyFont(TTF_Font *existing_font);

DESCRIPTION
The copy will be distinct from the original, but will share the font file and have the same size and style as the original.

When done with the returned TTF_Font , use

TTF_CloseFont () to dispose of it.

FUNCTION PARAMETERS

existing_font
    the font to copy.

RETURN VALUE
( TTF_Font
 *) Returns a valid TTF_Font , or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the original font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_CloseFont(3)